import { ModuleTree, Plugin, Store } from 'vuex';
interface TypedStoreOptions<S> {
    strict: boolean;
    plugins: Array<Plugin<S>>;
    modules: ModuleTree<S>;
}
export declare function createVuexStore<T extends object>(pModule: T, pOptions?: Partial<TypedStoreOptions<any>>): Store<any>;
export declare function registerModule<T extends object>(store: Store<any>, namespace: string[], instance: T): void;
export declare function unregisterModule(store: Store<any>, namespace: string[]): void;
export declare function useStore<T extends object>(vuexStore: Store<any>): T;
export declare function useModule<T extends object>(vuexStore: Store<any>, namespace?: string[]): T | undefined;
export {};
